Bug 108260 - unable to ccm-pkg load ccm-cms at 37428
unable to ccm-pkg load ccm-cms at 37428
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 106597
  Show dependency treegraph
 
Reported: 2003-10-28 14:22 EST by Vadim Nasardinov
Modified: 2014-12-01 18:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 11:15:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-10-28 14:22:54 EST
I p4 sync'ed to 37428.

I blew away my old set up by doing

$ rm -rf $CCM_HOME/conf
$ dropdb -h localhost ccmtip && createdb -h localhost -E UNICODE ccmtip
$ ant clean deploy
$ ccm-conf init ccm-core -defaults my.defaults
$ ccm-conf init ccm-cms
$ ccm-pkg load ccm-core -defaults my.defaults

and, finally,

$ ccm-pkg load ccm-cms
which works up to this point:

...
Loading: ccm-cms/default/portlet/index-portlet_content_itm_itm_id_idx.sql
Loading: ccm-cms/default/content-section/index-ct_itm_file_attchmnts_ownr_idx.sql
Loading: ccm-cms/ddl/postgres/deferred.sql
Loading: Done

and then throws the following exception:

Exception in thread "main" com.arsdigita.domain.InstantiatorNotFoundException:
No instantiator found for dataObject [com.arsdigita.cms.ContentType:{id=1010}]
  at
com.arsdigita.domain.DomainObjectFactory.newInstance(DomainObjectFactory.java:141)
  at com.arsdigita.kernel.ACSObject.getContainer(ACSObject.java:309)
  at com.arsdigita.kernel.ACSObject.beforeSave(ACSObject.java:478)
  at
com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
  at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
  at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java:39)
  at com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java:503)
  at com.arsdigita.persistence.DataEvent.fire(DataEvent.java:48)
  at com.arsdigita.persistence.Session$FlushEventProcessor.fireNow(Session.java:685)
  at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:414)
  at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
  at
com.arsdigita.cms.installer.xml.ContentTypeHelperImpl.createAuthoringKit(ContentTypeHelperImpl.java:182)
  at
com.arsdigita.cms.installer.xml.XMLContentTypeHandler.startElement(XMLContentTypeHandler.java:93)
  at com.icl.saxon.aelfred.SAXDriver.startElement(SAXDriver.java:757)
  at com.icl.saxon.aelfred.XmlParser.parseElement(XmlParser.java:1036)
  at com.icl.saxon.aelfred.XmlParser.parseContent(XmlParser.java:1222)
  at com.icl.saxon.aelfred.XmlParser.parseElement(XmlParser.java:1037)
  at com.icl.saxon.aelfred.XmlParser.parseContent(XmlParser.java:1222)
  at com.icl.saxon.aelfred.XmlParser.parseElement(XmlParser.java:1037)
  at com.icl.saxon.aelfred.XmlParser.parseDocument(XmlParser.java:510)
  at com.icl.saxon.aelfred.XmlParser.doParse(XmlParser.java:163)
  at com.icl.saxon.aelfred.SAXDriver.parse(SAXDriver.java:320)
  at javax.xml.parsers.SAXParser.parse(Unknown Source)
  at javax.xml.parsers.SAXParser.parse(Unknown Source)
  at com.arsdigita.xml.XML.parse(XML.java:175)
  at com.arsdigita.xml.XML.parseResource(XML.java:153)
  at
com.arsdigita.cms.installer.xml.ContentTypeInitializer.doStartup(ContentTypeInitializer.java:102)
  at com.arsdigita.kernel.BaseInitializer$1.excurse(BaseInitializer.java:53)
  at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
  at com.arsdigita.kernel.BaseInitializer.startup(BaseInitializer.java:56)
  at com.arsdigita.initializer.Script.startup(Script.java:197)
  at com.arsdigita.initializer.Script.startup(Script.java:168)
  at com.arsdigita.runtime.LegacyInitializer.init(LegacyInitializer.java:47)
  at com.arsdigita.runtime.CompoundInitializer.init(CompoundInitializer.java:86)
  at com.arsdigita.runtime.CompoundInitializer.init(CompoundInitializer.java:86)
  at com.arsdigita.runtime.Startup.run(Startup.java:190)
  at com.arsdigita.packaging.PackageTool.loadData(PackageTool.java:269)
  at com.arsdigita.packaging.PackageTool.main(PackageTool.java:182)


My $CCM_DEV_HOME/project.xml has the following apps:

  <ccm:build>
    <ccm:application name="core" prettyName="Core" buildOrder="1"/>
    <ccm:application name="cms" prettyName="CMS" buildOrder="2"/>
  </ccm:build>
Comment 1 Vadim Nasardinov 2003-10-28 16:41:29 EST
ccm-pkg load ccm-core now succeeds, but I a get a different error when
trying to run CategorizationSuite.  I p4 sync'ed at 37459, and blew
away my current setup. (I did this twice, just to make sure I wasn't
seeing things.)

Copying from my Emacs buffer:

$ sudo su - postgres
Password:
bash-2.05a$ dropdb -h localhost ccmtip && createdb -h localhost -E UNICODE ccmtip
DROP DATABASE
CREATE DATABASE
bash-2.05a$ exit
logout
$ rm -rf $CCM_HOME/conf
$ p4 changes -m3 //core-platform/dev/...
*** output flushed ***
$ ant clean deploy
*** output flushed ***
$ ccm-conf init ccm-core -defaults my.defaults
$ ccm-conf init ccm-cms
$ ccm-pkg load ccm-core -defaults my.defaults
*** output flushed ***
$ ccm-pkg load ccm-cms
*** output flushed ***
$ ant -Djunit.suite=CategorizationSuite.class -Djunit.formatter=brief runtests
*** output flushed ***


The result of running the test suite is the following:


Testsuite: com.arsdigita.categorization.CategorizationSuite
Tests run: 0, Failures: 0, Errors: 1, Time elapsed: 0.153 sec

Testcase: com.arsdigita.categorization.CategorizationSuite@415de6:      Caused
an ERROR
no such context: class com.arsdigita.runtime.RuntimeConfig
java.lang.IllegalArgumentException: no such context: class
com.arsdigita.runtime.RuntimeConfig
  at com.arsdigita.packaging.ConfigRegistry.getStorage(ConfigRegistry.java:124)
  at com.arsdigita.packaging.ConfigRegistry.load(ConfigRegistry.java:152)
  at com.arsdigita.packaging.ConfigRegistry.load(ConfigRegistry.java:137)
  at com.arsdigita.runtime.AbstractConfig.load(AbstractConfig.java:44)
  at com.arsdigita.runtime.AbstractConfig.load(AbstractConfig.java:49)
  at com.arsdigita.runtime.AbstractConfig.require(AbstractConfig.java:66)
  at com.arsdigita.runtime.RuntimeConfig.getConfig(RuntimeConfig.java:52)
  at com.arsdigita.tools.junit.extensions.BaseTestSetup.setUp(BaseTestSetup.java:96)
  at com.arsdigita.tools.junit.extensions.CoreTestSetup.setUp(CoreTestSetup.java:38)
  at
com.arsdigita.tools.junit.extensions.BaseTestSetup$1.protect(BaseTestSetup.java:73)
  at com.arsdigita.tools.junit.extensions.BaseTestSetup.run(BaseTestSetup.java:79)


Am I missing something?
Comment 2 Rafael H. Schloming 2003-10-28 17:06:06 EST
I believe this is a problem in the generated build.xml. I think it's passing in
the wrong value for ccm.home to the tests. I believe dennis fixed this, but you
probably need to update your rpms and regenerate your build.xml in order to get
the fix.
Comment 3 Vadim Nasardinov 2003-10-28 17:27:03 EST
I'll check if this helps.

$ p4 describe -s 37453
Change 37453 by dennis@galileo-dennis on 2003/10/28 15:19:15

	change ccm.home=${basedir} to ccm.home=${ccm.home}

Affected files ...

... //tools/ccmbuild/devel/dev/xsl/build-template.xsl#5 edit
Comment 4 Vadim Nasardinov 2003-10-28 17:50:18 EST
I rebuilt ccm-devel-2.0.0-1.noarch.rpm as of
//tools/ccmbuild/devel/dev/...@37456 and updated my system.
The previously reported error went away.

I now get 18 errors out of 25 tests in CategorizationSuite.  All the
errors are basically the same.  Here's one:

com.arsdigita.kernel.permissions.PermissionException:
User null does not have the write privilege
on Object [com.arsdigita.categorization.Category:{id=6001}]
with context null
  at
com.arsdigita.kernel.permissions.PermissionService.assertPermission(PermissionService.java:122)
  at com.arsdigita.kernel.ACSObject.assertPrivilege(ACSObject.java:406)
  at com.arsdigita.kernel.ACSObject.doWriteCheck(ACSObject.java:457)
  at
com.arsdigita.kernel.permissions.PermissionsObserver.beforeSave(PermissionsObserver.java:67)
  at
com.arsdigita.domain.ObservableDomainObject.beforeSave(ObservableDomainObject.java:206)
  at com.arsdigita.kernel.ACSObject.beforeSave(ACSObject.java:482)
  at com.arsdigita.categorization.Category.beforeSave(Category.java:767)
  at
com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
  at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
  at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java:39)
  at com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java:503)
  at com.arsdigita.persistence.DataEvent.fire(DataEvent.java:48)
  at com.arsdigita.persistence.Session$FlushEventProcessor.fireNow(Session.java:685)
  at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:414)
  at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
  at
com.arsdigita.categorization.CategoryCategoryMappingTest.testIsDefault(CategoryCategoryMappingTest.java:66)
  at com.arsdigita.tools.junit.framework.BaseTestCase.runBare(BaseTestCase.java:47)
  at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
  at
com.arsdigita.tools.junit.extensions.BaseTestSetup$1.protect(BaseTestSetup.java:74)
  at com.arsdigita.tools.junit.extensions.BaseTestSetup.run(BaseTestSetup.java:79)
Comment 5 Vadim Nasardinov 2003-10-29 09:50:01 EST
I p4 sync'ed to 37482 this morning and all of the errors reported
in the above comments seem to have gone away.

Note You need to log in before you can comment on or make changes to this bug.